Bug 1008087 - RBAC: Error on Deployment page when logged in as user with scoped role
RBAC: Error on Deployment page when logged in as user with scoped role
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 11:28 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-197 Major Resolved Error on Deployment page when logged in as user with scoped role 2016-02-24 21:04 EST
JBoss Issue Tracker WFLY-2089 Major Resolved Error executing composite operation as server group role 2016-02-24 21:04 EST

  None (edit)
Description Jakub Cechacek 2013-09-14 11:28:59 EDT
#domain-deployments page throws an Error, consequently deployments are not listed.

Request
{
    "address" => [],
    "operation" => "composite",
    "steps" => [
        {
            "address" => [],
            "operation" => "read-children-resources",
            "child-type" => "deployment"
        },
        {
            "operation" => "read-children-resources",
            "child-type" => "server-group"
        },
        {
            "address" => [
                ("server-group" => "*"),
                ("deployment" => "*")
            ],
            "operation" => "read-resource"
        }
    ]
}

Response

Internal Server Error
{
    "outcome" => "failed",
    "result" => {
        "step-1" => {
            "outcome" => "failed",
            "rolled-back" => true
        },
        "step-2" => {
            "outcome" => "failed",
            "rolled-back" => true
        },
        "step-3" => {
            "outcome" => "failed",
            "result" => [],
            "rolled-back" => true
        }
    },
    "failure-description" => {"domain-failure-description" => "JBAS014654: Composite operation was rolled back"},
    "rolled-back" => true
}
Comment 3 Jakub Cechacek 2013-09-30 05:04:12 EDT
verified 6.2.0.ER3
Comment 7 JBoss JIRA Server 2013-10-09 02:54:22 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-197 to Resolved

Note You need to log in before you can comment on or make changes to this bug.